<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.2.9.RELEASE</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>

    <groupId>com.hc</groupId>
    <artifactId>gpwebv2</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <name>gpwebv2</name>
    <packaging>pom</packaging>
    <description>Demo project for Spring Boot</description>

    <properties>
        <java.version>11</java.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <spring4all.swagger.version>1.9.0.RELEASE</spring4all.swagger.version>
        <qiniu.version>[7.2.0, 7.2.99]</qiniu.version>
        <auth0.jwt.version>3.3.0</auth0.jwt.version>
        <guava.version>23.0</guava.version>
        <mybatis.spring.boot.version>2.1.2</mybatis.spring.boot.version>
        <tk.mybatis.mapper.version>4.0.4</tk.mybatis.mapper.version>
        <pagehelper.spring.boot.version>1.2.9</pagehelper.spring.boot.version>
        <fastjson.version>1.2.70</fastjson.version>
    </properties>

    <modules>
        <module>gp-business</module>
        <module>gp-core</module>
        <module>gp-web</module>
    </modules>

    <dependencies>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-devtools</artifactId>
            <scope>runtime</scope>
            <optional>true</optional>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-configuration-processor</artifactId>
            <optional>true</optional>
        </dependency>

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.24</version>
            <optional>true</optional>
        </dependency>

        <!-- api文档 -->
        <dependency>
            <groupId>com.spring4all</groupId>
            <artifactId>swagger-spring-boot-starter</artifactId>
            <version>${spring4all.swagger.version}</version>
        </dependency>

    </dependencies>



</project>
